package com.zcloud.modules.custormerInfo.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.custormerInfo.entity.BusInvoicingAuditHistoryEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * @Author lizenan
 * @Desc 开票表(用于记录原值，每次更新开票表都插入原来的值)(BusInvoicingAuditHistory)表服务接口
 * @Date 2024-04-03 15:20:56
 */
public interface BusInvoicingAuditHistoryService extends IService<BusInvoicingAuditHistoryEntity> {

    BusInvoicingAuditHistoryEntity queryByFlexibleParams(String paramName, Object paramValue);

	List<BusInvoicingAuditHistoryEntity> queryListByFlexibleParams(String paramName, Object paramValue);
    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(String invoicingAuditHistoryId,String userId);

    BusInvoicingAuditHistoryEntity info(String invoicingAuditHistoryId);

    /**
     * 根据invoicingId查询所有记录
     * @param invoicingId
     * @return
     */
    List<BusInvoicingAuditHistoryEntity> listByInvoicingId(String invoicingId);
}
